Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network20.78.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
20.78.128.0
Broadcast address
20.78.255.255
First usable
20.78.128.1
Last usable
20.78.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 144E8000 · Integer 340688896 to 340721663
Reverse DNS zones
128.78.20.in-addr.arpa
129.78.20.in-addr.arpa
130.78.20.in-addr.arpa
131.78.20.in-addr.arpa
132.78.20.in-addr.arpa
133.78.20.in-addr.arpa
134.78.20.in-addr.arpa
135.78.20.in-addr.arpa
136.78.20.in-addr.arpa
137.78.20.in-addr.arpa
138.78.20.in-addr.arpa
139.78.20.in-addr.arpa
140.78.20.in-addr.arpa
141.78.20.in-addr.arpa
142.78.20.in-addr.arpa
143.78.20.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010100.01001110.10000000.0000000020.78.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00010100.01001110.10000000.0000000020.78.128.0
Broadcast00010100.01001110.11111111.1111111120.78.255.255
Split into smaller subnets/28

20.78.128.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
120.78.128.0/2820.78.128.1 to 20.78.128.1420.78.128.1514
220.78.128.16/2820.78.128.17 to 20.78.128.3020.78.128.3114
320.78.128.32/2820.78.128.33 to 20.78.128.4620.78.128.4714
420.78.128.48/2820.78.128.49 to 20.78.128.6220.78.128.6314
520.78.128.64/2820.78.128.65 to 20.78.128.7820.78.128.7914
620.78.128.80/2820.78.128.81 to 20.78.128.9420.78.128.9514
720.78.128.96/2820.78.128.97 to 20.78.128.11020.78.128.11114
820.78.128.112/2820.78.128.113 to 20.78.128.12620.78.128.12714
920.78.128.128/2820.78.128.129 to 20.78.128.14220.78.128.14314
1020.78.128.144/2820.78.128.145 to 20.78.128.15820.78.128.15914
1120.78.128.160/2820.78.128.161 to 20.78.128.17420.78.128.17514
1220.78.128.176/2820.78.128.177 to 20.78.128.19020.78.128.19114
1320.78.128.192/2820.78.128.193 to 20.78.128.20620.78.128.20714
1420.78.128.208/2820.78.128.209 to 20.78.128.22220.78.128.22314
1520.78.128.224/2820.78.128.225 to 20.78.128.23820.78.128.23914
1620.78.128.240/2820.78.128.241 to 20.78.128.25420.78.128.25514
1720.78.129.0/2820.78.129.1 to 20.78.129.1420.78.129.1514
1820.78.129.16/2820.78.129.17 to 20.78.129.3020.78.129.3114
1920.78.129.32/2820.78.129.33 to 20.78.129.4620.78.129.4714
2020.78.129.48/2820.78.129.49 to 20.78.129.6220.78.129.6314
2120.78.129.64/2820.78.129.65 to 20.78.129.7820.78.129.7914
2220.78.129.80/2820.78.129.81 to 20.78.129.9420.78.129.9514
2320.78.129.96/2820.78.129.97 to 20.78.129.11020.78.129.11114
2420.78.129.112/2820.78.129.113 to 20.78.129.12620.78.129.12714
2520.78.129.128/2820.78.129.129 to 20.78.129.14220.78.129.14314
2620.78.129.144/2820.78.129.145 to 20.78.129.15820.78.129.15914
2720.78.129.160/2820.78.129.161 to 20.78.129.17420.78.129.17514
2820.78.129.176/2820.78.129.177 to 20.78.129.19020.78.129.19114
2920.78.129.192/2820.78.129.193 to 20.78.129.20620.78.129.20714
3020.78.129.208/2820.78.129.209 to 20.78.129.22220.78.129.22314
3120.78.129.224/2820.78.129.225 to 20.78.129.23820.78.129.23914
3220.78.129.240/2820.78.129.241 to 20.78.129.25420.78.129.25514
3320.78.130.0/2820.78.130.1 to 20.78.130.1420.78.130.1514
3420.78.130.16/2820.78.130.17 to 20.78.130.3020.78.130.3114
3520.78.130.32/2820.78.130.33 to 20.78.130.4620.78.130.4714
3620.78.130.48/2820.78.130.49 to 20.78.130.6220.78.130.6314
3720.78.130.64/2820.78.130.65 to 20.78.130.7820.78.130.7914
3820.78.130.80/2820.78.130.81 to 20.78.130.9420.78.130.9514
3920.78.130.96/2820.78.130.97 to 20.78.130.11020.78.130.11114
4020.78.130.112/2820.78.130.113 to 20.78.130.12620.78.130.12714
4120.78.130.128/2820.78.130.129 to 20.78.130.14220.78.130.14314
4220.78.130.144/2820.78.130.145 to 20.78.130.15820.78.130.15914
4320.78.130.160/2820.78.130.161 to 20.78.130.17420.78.130.17514
4420.78.130.176/2820.78.130.177 to 20.78.130.19020.78.130.19114
4520.78.130.192/2820.78.130.193 to 20.78.130.20620.78.130.20714
4620.78.130.208/2820.78.130.209 to 20.78.130.22220.78.130.22314
4720.78.130.224/2820.78.130.225 to 20.78.130.23820.78.130.23914
4820.78.130.240/2820.78.130.241 to 20.78.130.25420.78.130.25514
4920.78.131.0/2820.78.131.1 to 20.78.131.1420.78.131.1514
5020.78.131.16/2820.78.131.17 to 20.78.131.3020.78.131.3114
5120.78.131.32/2820.78.131.33 to 20.78.131.4620.78.131.4714
5220.78.131.48/2820.78.131.49 to 20.78.131.6220.78.131.6314
5320.78.131.64/2820.78.131.65 to 20.78.131.7820.78.131.7914
5420.78.131.80/2820.78.131.81 to 20.78.131.9420.78.131.9514
5520.78.131.96/2820.78.131.97 to 20.78.131.11020.78.131.11114
5620.78.131.112/2820.78.131.113 to 20.78.131.12620.78.131.12714
5720.78.131.128/2820.78.131.129 to 20.78.131.14220.78.131.14314
5820.78.131.144/2820.78.131.145 to 20.78.131.15820.78.131.15914
5920.78.131.160/2820.78.131.161 to 20.78.131.17420.78.131.17514
6020.78.131.176/2820.78.131.177 to 20.78.131.19020.78.131.19114
6120.78.131.192/2820.78.131.193 to 20.78.131.20620.78.131.20714
6220.78.131.208/2820.78.131.209 to 20.78.131.22220.78.131.22314
6320.78.131.224/2820.78.131.225 to 20.78.131.23820.78.131.23914
6420.78.131.240/2820.78.131.241 to 20.78.131.25420.78.131.25514
6520.78.132.0/2820.78.132.1 to 20.78.132.1420.78.132.1514
6620.78.132.16/2820.78.132.17 to 20.78.132.3020.78.132.3114
6720.78.132.32/2820.78.132.33 to 20.78.132.4620.78.132.4714
6820.78.132.48/2820.78.132.49 to 20.78.132.6220.78.132.6314
6920.78.132.64/2820.78.132.65 to 20.78.132.7820.78.132.7914
7020.78.132.80/2820.78.132.81 to 20.78.132.9420.78.132.9514
7120.78.132.96/2820.78.132.97 to 20.78.132.11020.78.132.11114
7220.78.132.112/2820.78.132.113 to 20.78.132.12620.78.132.12714
7320.78.132.128/2820.78.132.129 to 20.78.132.14220.78.132.14314
7420.78.132.144/2820.78.132.145 to 20.78.132.15820.78.132.15914
7520.78.132.160/2820.78.132.161 to 20.78.132.17420.78.132.17514
7620.78.132.176/2820.78.132.177 to 20.78.132.19020.78.132.19114
7720.78.132.192/2820.78.132.193 to 20.78.132.20620.78.132.20714
7820.78.132.208/2820.78.132.209 to 20.78.132.22220.78.132.22314
7920.78.132.224/2820.78.132.225 to 20.78.132.23820.78.132.23914
8020.78.132.240/2820.78.132.241 to 20.78.132.25420.78.132.25514
8120.78.133.0/2820.78.133.1 to 20.78.133.1420.78.133.1514
8220.78.133.16/2820.78.133.17 to 20.78.133.3020.78.133.3114
8320.78.133.32/2820.78.133.33 to 20.78.133.4620.78.133.4714
8420.78.133.48/2820.78.133.49 to 20.78.133.6220.78.133.6314
8520.78.133.64/2820.78.133.65 to 20.78.133.7820.78.133.7914
8620.78.133.80/2820.78.133.81 to 20.78.133.9420.78.133.9514
8720.78.133.96/2820.78.133.97 to 20.78.133.11020.78.133.11114
8820.78.133.112/2820.78.133.113 to 20.78.133.12620.78.133.12714
8920.78.133.128/2820.78.133.129 to 20.78.133.14220.78.133.14314
9020.78.133.144/2820.78.133.145 to 20.78.133.15820.78.133.15914
9120.78.133.160/2820.78.133.161 to 20.78.133.17420.78.133.17514
9220.78.133.176/2820.78.133.177 to 20.78.133.19020.78.133.19114
9320.78.133.192/2820.78.133.193 to 20.78.133.20620.78.133.20714
9420.78.133.208/2820.78.133.209 to 20.78.133.22220.78.133.22314
9520.78.133.224/2820.78.133.225 to 20.78.133.23820.78.133.23914
9620.78.133.240/2820.78.133.241 to 20.78.133.25420.78.133.25514
9720.78.134.0/2820.78.134.1 to 20.78.134.1420.78.134.1514
9820.78.134.16/2820.78.134.17 to 20.78.134.3020.78.134.3114
9920.78.134.32/2820.78.134.33 to 20.78.134.4620.78.134.4714
10020.78.134.48/2820.78.134.49 to 20.78.134.6220.78.134.6314
10120.78.134.64/2820.78.134.65 to 20.78.134.7820.78.134.7914
10220.78.134.80/2820.78.134.81 to 20.78.134.9420.78.134.9514
10320.78.134.96/2820.78.134.97 to 20.78.134.11020.78.134.11114
10420.78.134.112/2820.78.134.113 to 20.78.134.12620.78.134.12714
10520.78.134.128/2820.78.134.129 to 20.78.134.14220.78.134.14314
10620.78.134.144/2820.78.134.145 to 20.78.134.15820.78.134.15914
10720.78.134.160/2820.78.134.161 to 20.78.134.17420.78.134.17514
10820.78.134.176/2820.78.134.177 to 20.78.134.19020.78.134.19114
10920.78.134.192/2820.78.134.193 to 20.78.134.20620.78.134.20714
11020.78.134.208/2820.78.134.209 to 20.78.134.22220.78.134.22314
11120.78.134.224/2820.78.134.225 to 20.78.134.23820.78.134.23914
11220.78.134.240/2820.78.134.241 to 20.78.134.25420.78.134.25514
11320.78.135.0/2820.78.135.1 to 20.78.135.1420.78.135.1514
11420.78.135.16/2820.78.135.17 to 20.78.135.3020.78.135.3114
11520.78.135.32/2820.78.135.33 to 20.78.135.4620.78.135.4714
11620.78.135.48/2820.78.135.49 to 20.78.135.6220.78.135.6314
11720.78.135.64/2820.78.135.65 to 20.78.135.7820.78.135.7914
11820.78.135.80/2820.78.135.81 to 20.78.135.9420.78.135.9514
11920.78.135.96/2820.78.135.97 to 20.78.135.11020.78.135.11114
12020.78.135.112/2820.78.135.113 to 20.78.135.12620.78.135.12714
12120.78.135.128/2820.78.135.129 to 20.78.135.14220.78.135.14314
12220.78.135.144/2820.78.135.145 to 20.78.135.15820.78.135.15914
12320.78.135.160/2820.78.135.161 to 20.78.135.17420.78.135.17514
12420.78.135.176/2820.78.135.177 to 20.78.135.19020.78.135.19114
12520.78.135.192/2820.78.135.193 to 20.78.135.20620.78.135.20714
12620.78.135.208/2820.78.135.209 to 20.78.135.22220.78.135.22314
12720.78.135.224/2820.78.135.225 to 20.78.135.23820.78.135.23914
12820.78.135.240/2820.78.135.241 to 20.78.135.25420.78.135.25514
12920.78.136.0/2820.78.136.1 to 20.78.136.1420.78.136.1514
13020.78.136.16/2820.78.136.17 to 20.78.136.3020.78.136.3114
13120.78.136.32/2820.78.136.33 to 20.78.136.4620.78.136.4714
13220.78.136.48/2820.78.136.49 to 20.78.136.6220.78.136.6314
13320.78.136.64/2820.78.136.65 to 20.78.136.7820.78.136.7914
13420.78.136.80/2820.78.136.81 to 20.78.136.9420.78.136.9514
13520.78.136.96/2820.78.136.97 to 20.78.136.11020.78.136.11114
13620.78.136.112/2820.78.136.113 to 20.78.136.12620.78.136.12714
13720.78.136.128/2820.78.136.129 to 20.78.136.14220.78.136.14314
13820.78.136.144/2820.78.136.145 to 20.78.136.15820.78.136.15914
13920.78.136.160/2820.78.136.161 to 20.78.136.17420.78.136.17514
14020.78.136.176/2820.78.136.177 to 20.78.136.19020.78.136.19114
14120.78.136.192/2820.78.136.193 to 20.78.136.20620.78.136.20714
14220.78.136.208/2820.78.136.209 to 20.78.136.22220.78.136.22314
14320.78.136.224/2820.78.136.225 to 20.78.136.23820.78.136.23914
14420.78.136.240/2820.78.136.241 to 20.78.136.25420.78.136.25514
14520.78.137.0/2820.78.137.1 to 20.78.137.1420.78.137.1514
14620.78.137.16/2820.78.137.17 to 20.78.137.3020.78.137.3114
14720.78.137.32/2820.78.137.33 to 20.78.137.4620.78.137.4714
14820.78.137.48/2820.78.137.49 to 20.78.137.6220.78.137.6314
14920.78.137.64/2820.78.137.65 to 20.78.137.7820.78.137.7914
15020.78.137.80/2820.78.137.81 to 20.78.137.9420.78.137.9514
15120.78.137.96/2820.78.137.97 to 20.78.137.11020.78.137.11114
15220.78.137.112/2820.78.137.113 to 20.78.137.12620.78.137.12714
15320.78.137.128/2820.78.137.129 to 20.78.137.14220.78.137.14314
15420.78.137.144/2820.78.137.145 to 20.78.137.15820.78.137.15914
15520.78.137.160/2820.78.137.161 to 20.78.137.17420.78.137.17514
15620.78.137.176/2820.78.137.177 to 20.78.137.19020.78.137.19114
15720.78.137.192/2820.78.137.193 to 20.78.137.20620.78.137.20714
15820.78.137.208/2820.78.137.209 to 20.78.137.22220.78.137.22314
15920.78.137.224/2820.78.137.225 to 20.78.137.23820.78.137.23914
16020.78.137.240/2820.78.137.241 to 20.78.137.25420.78.137.25514
16120.78.138.0/2820.78.138.1 to 20.78.138.1420.78.138.1514
16220.78.138.16/2820.78.138.17 to 20.78.138.3020.78.138.3114
16320.78.138.32/2820.78.138.33 to 20.78.138.4620.78.138.4714
16420.78.138.48/2820.78.138.49 to 20.78.138.6220.78.138.6314
16520.78.138.64/2820.78.138.65 to 20.78.138.7820.78.138.7914
16620.78.138.80/2820.78.138.81 to 20.78.138.9420.78.138.9514
16720.78.138.96/2820.78.138.97 to 20.78.138.11020.78.138.11114
16820.78.138.112/2820.78.138.113 to 20.78.138.12620.78.138.12714
16920.78.138.128/2820.78.138.129 to 20.78.138.14220.78.138.14314
17020.78.138.144/2820.78.138.145 to 20.78.138.15820.78.138.15914
17120.78.138.160/2820.78.138.161 to 20.78.138.17420.78.138.17514
17220.78.138.176/2820.78.138.177 to 20.78.138.19020.78.138.19114
17320.78.138.192/2820.78.138.193 to 20.78.138.20620.78.138.20714
17420.78.138.208/2820.78.138.209 to 20.78.138.22220.78.138.22314
17520.78.138.224/2820.78.138.225 to 20.78.138.23820.78.138.23914
17620.78.138.240/2820.78.138.241 to 20.78.138.25420.78.138.25514
17720.78.139.0/2820.78.139.1 to 20.78.139.1420.78.139.1514
17820.78.139.16/2820.78.139.17 to 20.78.139.3020.78.139.3114
17920.78.139.32/2820.78.139.33 to 20.78.139.4620.78.139.4714
18020.78.139.48/2820.78.139.49 to 20.78.139.6220.78.139.6314
18120.78.139.64/2820.78.139.65 to 20.78.139.7820.78.139.7914
18220.78.139.80/2820.78.139.81 to 20.78.139.9420.78.139.9514
18320.78.139.96/2820.78.139.97 to 20.78.139.11020.78.139.11114
18420.78.139.112/2820.78.139.113 to 20.78.139.12620.78.139.12714
18520.78.139.128/2820.78.139.129 to 20.78.139.14220.78.139.14314
18620.78.139.144/2820.78.139.145 to 20.78.139.15820.78.139.15914
18720.78.139.160/2820.78.139.161 to 20.78.139.17420.78.139.17514
18820.78.139.176/2820.78.139.177 to 20.78.139.19020.78.139.19114
18920.78.139.192/2820.78.139.193 to 20.78.139.20620.78.139.20714
19020.78.139.208/2820.78.139.209 to 20.78.139.22220.78.139.22314
19120.78.139.224/2820.78.139.225 to 20.78.139.23820.78.139.23914
19220.78.139.240/2820.78.139.241 to 20.78.139.25420.78.139.25514
19320.78.140.0/2820.78.140.1 to 20.78.140.1420.78.140.1514
19420.78.140.16/2820.78.140.17 to 20.78.140.3020.78.140.3114
19520.78.140.32/2820.78.140.33 to 20.78.140.4620.78.140.4714
19620.78.140.48/2820.78.140.49 to 20.78.140.6220.78.140.6314
19720.78.140.64/2820.78.140.65 to 20.78.140.7820.78.140.7914
19820.78.140.80/2820.78.140.81 to 20.78.140.9420.78.140.9514
19920.78.140.96/2820.78.140.97 to 20.78.140.11020.78.140.11114
20020.78.140.112/2820.78.140.113 to 20.78.140.12620.78.140.12714
20120.78.140.128/2820.78.140.129 to 20.78.140.14220.78.140.14314
20220.78.140.144/2820.78.140.145 to 20.78.140.15820.78.140.15914
20320.78.140.160/2820.78.140.161 to 20.78.140.17420.78.140.17514
20420.78.140.176/2820.78.140.177 to 20.78.140.19020.78.140.19114
20520.78.140.192/2820.78.140.193 to 20.78.140.20620.78.140.20714
20620.78.140.208/2820.78.140.209 to 20.78.140.22220.78.140.22314
20720.78.140.224/2820.78.140.225 to 20.78.140.23820.78.140.23914
20820.78.140.240/2820.78.140.241 to 20.78.140.25420.78.140.25514
20920.78.141.0/2820.78.141.1 to 20.78.141.1420.78.141.1514
21020.78.141.16/2820.78.141.17 to 20.78.141.3020.78.141.3114
21120.78.141.32/2820.78.141.33 to 20.78.141.4620.78.141.4714
21220.78.141.48/2820.78.141.49 to 20.78.141.6220.78.141.6314
21320.78.141.64/2820.78.141.65 to 20.78.141.7820.78.141.7914
21420.78.141.80/2820.78.141.81 to 20.78.141.9420.78.141.9514
21520.78.141.96/2820.78.141.97 to 20.78.141.11020.78.141.11114
21620.78.141.112/2820.78.141.113 to 20.78.141.12620.78.141.12714
21720.78.141.128/2820.78.141.129 to 20.78.141.14220.78.141.14314
21820.78.141.144/2820.78.141.145 to 20.78.141.15820.78.141.15914
21920.78.141.160/2820.78.141.161 to 20.78.141.17420.78.141.17514
22020.78.141.176/2820.78.141.177 to 20.78.141.19020.78.141.19114
22120.78.141.192/2820.78.141.193 to 20.78.141.20620.78.141.20714
22220.78.141.208/2820.78.141.209 to 20.78.141.22220.78.141.22314
22320.78.141.224/2820.78.141.225 to 20.78.141.23820.78.141.23914
22420.78.141.240/2820.78.141.241 to 20.78.141.25420.78.141.25514
22520.78.142.0/2820.78.142.1 to 20.78.142.1420.78.142.1514
22620.78.142.16/2820.78.142.17 to 20.78.142.3020.78.142.3114
22720.78.142.32/2820.78.142.33 to 20.78.142.4620.78.142.4714
22820.78.142.48/2820.78.142.49 to 20.78.142.6220.78.142.6314
22920.78.142.64/2820.78.142.65 to 20.78.142.7820.78.142.7914
23020.78.142.80/2820.78.142.81 to 20.78.142.9420.78.142.9514
23120.78.142.96/2820.78.142.97 to 20.78.142.11020.78.142.11114
23220.78.142.112/2820.78.142.113 to 20.78.142.12620.78.142.12714
23320.78.142.128/2820.78.142.129 to 20.78.142.14220.78.142.14314
23420.78.142.144/2820.78.142.145 to 20.78.142.15820.78.142.15914
23520.78.142.160/2820.78.142.161 to 20.78.142.17420.78.142.17514
23620.78.142.176/2820.78.142.177 to 20.78.142.19020.78.142.19114
23720.78.142.192/2820.78.142.193 to 20.78.142.20620.78.142.20714
23820.78.142.208/2820.78.142.209 to 20.78.142.22220.78.142.22314
23920.78.142.224/2820.78.142.225 to 20.78.142.23820.78.142.23914
24020.78.142.240/2820.78.142.241 to 20.78.142.25420.78.142.25514
24120.78.143.0/2820.78.143.1 to 20.78.143.1420.78.143.1514
24220.78.143.16/2820.78.143.17 to 20.78.143.3020.78.143.3114
24320.78.143.32/2820.78.143.33 to 20.78.143.4620.78.143.4714
24420.78.143.48/2820.78.143.49 to 20.78.143.6220.78.143.6314
24520.78.143.64/2820.78.143.65 to 20.78.143.7820.78.143.7914
24620.78.143.80/2820.78.143.81 to 20.78.143.9420.78.143.9514
24720.78.143.96/2820.78.143.97 to 20.78.143.11020.78.143.11114
24820.78.143.112/2820.78.143.113 to 20.78.143.12620.78.143.12714
24920.78.143.128/2820.78.143.129 to 20.78.143.14220.78.143.14314
25020.78.143.144/2820.78.143.145 to 20.78.143.15820.78.143.15914
25120.78.143.160/2820.78.143.161 to 20.78.143.17420.78.143.17514
25220.78.143.176/2820.78.143.177 to 20.78.143.19020.78.143.19114
25320.78.143.192/2820.78.143.193 to 20.78.143.20620.78.143.20714
25420.78.143.208/2820.78.143.209 to 20.78.143.22220.78.143.22314
25520.78.143.224/2820.78.143.225 to 20.78.143.23820.78.143.23914
25620.78.143.240/2820.78.143.241 to 20.78.143.25420.78.143.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses